import { TranslateService } from "@ngx-translate/core";
import { FormField } from "@seniorsistemas/angular-components";
import { Observable } from "rxjs";
import { E070EmpService } from "../../core/entities/e-070-emp/e-070-emp.service";
import { EntityLookupConfigService } from "../../shared/services/entity-lookup-config.service";
export declare class CompanyLookupService {
    private translate;
    private configService;
    private companyService;
    companyLookupDisplayFields: string[];
    companyLookupSeparator: string;
    private companySearchSubject;
    private companyLookupSubject;
    private ngUnsubscribe;
    entityName: string;
    constructor(translate: TranslateService, configService: EntityLookupConfigService, companyService: E070EmpService);
    updateSuggestions(value: any, ownerEntity?: string): void;
    getSuggestionValue(displayFields: string[], ownerEntity: string, value: any, separator: string): any;
    /**
     * Método utilizado para montar o lookup no dynamicForm.
     * LookupValidationDto
     */
    getFormField(isCollective?: boolean, additionalFilter?: string, entityName?: string): FormField;
    onCompanySearchRequest(event: any, additionalFilter: any): void;
    onCompanySearchRequestObservable(event: any, additionalFilter: any, isDynamicForm?: boolean): Observable<any>;
    private mapToComponent;
    private getLabelForMaping;
    onCompanyLookupRequest(value: string, additionalFilter: any): void;
    onCompanyLookupRequestObservable(value: string, additionalFilter: any): Observable<any>;
    onContractCompanySearchRequest(event: any, additionalFilter: any): void;
    onContractCompanySearchRequestObservable(event: any, additionalFilter: any, isDynamicForm?: boolean): Observable<any>;
    onContractCompanyLookupRequest(value: string, additionalFilter: any): void;
    onContractCompanyLookupRequestObservable(value: string, additionalFilter: any): Observable<any>;
    getCompanySearchFields(): FormField[];
}
